> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Checkin all persons for a reservation.

- Product: Reservations
- Section: ReservationCheckinCheckout
- Snapshot: Current
- Method: `POST`
- Path: `/api/reservations/{reservationId}/checkin_checkouts/checkin_all`

## Path parameters

### `reservationId`

Type: `number`  
Required: yes  

## Query parameters

### `token`

Type: `string`  
Required: yes  

## Request body

Required: no  
Content types: `application/json`  

### `checkin`

Type: `string`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.checkinCheckouts.checkinAll({
  reservationId: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl -X POST "https://app.recranet.com/api/reservations/$RESERVATIONID/checkin_checkouts/checkin_all" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "token=$TOKEN" \
    -H 'Content-Type: application/json' \
    -d '{}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Example

```json
null
```

##### Schema

###### unknown

Type: `unknown`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/checkin-checkouts/methods/checkin-all/)
- [TypeScript Markdown](/reservations/checkin-checkouts/methods/checkin-all.md?lang=typescript)
- [curl Markdown](/reservations/checkin-checkouts/methods/checkin-all.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
